/* #OptimizationAccessibility {} */

#MainSectionOptimizationAccessibilityCode {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 20px 100px;
    width: 100%;
}

@media screen and (max-width: 768px) {
    #MainSectionOptimizationAccessibilityCode {
        padding: 20px 30px;
    }
}

#MainSectionOptimizationAccessibilityCode>div {
    display: flex;
    flex: 1;
    flex-direction: column;
    gap: 20px;
    width: 100%;
}

#MainSectionOptimizationAccessibilityCode>div>:nth-child(1) {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 10px 20px 0px 20px;
}

#MainSectionOptimizationAccessibilityCode>div>:nth-child(1)>h3 {
    color: var(--Title_1);
    font-family: "RobotoSerif";
    font-size: 18px;
    font-weight: 600;
}

.MainSectionOptimizationAccessibilityCodeFile {
    background-color: var(--Background_1);
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    max-width: 100%;
    white-space: nowrap;
    width: 100%;
}

.MainSectionOptimizationAccessibilityCodeFile>div:nth-of-type(1) {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 10px 0px;
}

.MainSectionOptimizationAccessibilityCodeFile>div:nth-of-type(1)>p {
    color: var(--Text_1);
    font-family: "RobotoFlex";
    font-weight: 600;
}

.MainSectionOptimizationAccessibilityCodeFile>div:nth-of-type(2) {
    background-color: var(--Background_2);
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin: 0px 10px 10px 10px;
    overflow-x: auto;
    overflow-y: hidden;
    padding: 10px 20px;
}

.MainSectionOptimizationAccessibilityCodeFile>div:nth-of-type(2)>p {
    color: var(--Text_1);
    font-family: "RobotoFlex";
    font-weight: 300;
}

.MainSectionOptimizationAccessibilityCodeFile>div:nth-of-type(2)>p:nth-of-type(n+2):nth-of-type(-n+6) {
    margin-left: 20px;
}

.MainSectionOptimizationAccessibilityCodeFile>div:nth-of-type(2)>p>b {
    font-weight: 600;
}

.MainSectionOptimizationAccessibilityCodeDisplay {
    display: flex;
    flex-direction: row;
    gap: 20px;
    max-width: 100%;
    width: 100%;
}

@media screen and (max-width: 768px) {
    .MainSectionOptimizationAccessibilityCodeDisplay {
        flex-direction: column;
    }
}

.MainSectionOptimizationAccessibilityCodeDisplay>div {
    background-color: var(--Background_1);
    border-radius: 5px;
    color: var(--Text_1);
    display: flex;
    flex: 1;
    flex-direction: column;
    font-family: "RobotoFlex";
    gap: 5px;
    padding: 20px 30px;
}

.MainSectionOptimizationAccessibilityCodeDisplay>div>:nth-child(1) {
    font-weight: 600;
}

.MainSectionOptimizationAccessibilityCodeDisplay>div>:nth-child(2) {
    font-weight: 300;
    padding: 0px 20px;
}

.MainSectionOptimizationAccessibilityCodeDisplay>div>:nth-child(3) {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 120px;
    justify-content: center;
    padding: 10px 0px;
    width: 100%;
}

.MainSectionOptimizationAccessibilityCodeDisplay>div>:nth-child(4) {
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-around;
    width: 100%;
}

.MainSectionOptimizationAccessibilityCodeDisplay>div>:nth-child(4)>:nth-child(1) {
    cursor: pointer;
    font-style: italic;
    font-weight: 800;
    min-width: fit-content;
    text-decoration: underline;
}

.MainSectionOptimizationAccessibilityCodeDisplay>div>:nth-child(4)>:nth-child(2) {
    background-color: var(--Background_2);
    border-radius: 5px;
    color: var(--Text_1);
    cursor: pointer;
    font-family: "RobotoFlex";
    font-size: 16px;
    font-weight: 400;
    min-width: fit-content;
    padding: 10px 20px;
}

.MainSectionOptimizationAccessibilityCodeDisplay>nav {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 25%;
}

.MainSectionOptimizationAccessibilityCodeDisplay>nav>button {
    align-items: center;
    background-color: var(--Background_1);
    border-radius: 5px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 10px 20px;
    width: 100%;
}

@media screen and (max-width: 768px) {
    .MainSectionOptimizationAccessibilityCodeDisplay>nav {
        flex-direction: row;
        min-width: 100%;
    }
    
    .MainSectionOptimizationAccessibilityCodeDisplay>nav>button {
        width: 100%;
    }
}

@media screen and (max-width: 350px) {
    .MainSectionOptimizationAccessibilityCodeDisplay>nav {
        flex-direction: column;
    }
}